#ifndef FILTER_H
#define FILTER_H

/**
 * Logiciel Gassst (Global Alignment Short Sequence Search Tool)
 * \file filter.h
 * \brief Module Filter, definit le filtre Low Complexity qui detecte les zones non pertinentes des sequences afin de ne pas les indexer
 * \author Dominique Lavenier
 * \author Damien Fleury
 * \version 5.2
 * \date 28/08/2008
 */

/// Fentre du filtre Low complexity
/// #define WS 12


using namespace std;


/**
 * Methode permettant d'appliquer le filtre Low Complexity
 * \param data le tableau des donnees de la banque de sequences
 * \param id l'index du debut de la sequence
 * \param lenseq la longueur de la sequence
 * \return 1 si l'operation s'est deroulee correctement
 */
int filterLowComplexity (char* data, int lenseq, int threshold);
int filterLowComplexity2Paths (char* seq1, char *seq2, int lenseq, int threshold);

#endif

